Bug 268841 - CRM#1730848 - Scheduled Successes report "no systems have completed this action" when proceeding to second page
CRM#1730848 - Scheduled Successes report "no systems have completed this acti...
Product: Red Hat Network
Classification: Red Hat
Component: RHN/Web Site (Show other bugs)
All Linux
high Severity high
: ---
: ---
Assigned To: Bill C. Riemers
Amy Owens
Depends On: 250218
Blocks: 428842 430586 430587
  Show dependency treegraph
Reported: 2007-08-30 16:02 EDT by Xixi
Modified: 2013-01-10 05:19 EST (History)
3 users (show)

See Also:
Fixed In Version: 5.0.5
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Last Closed: 2008-04-07 16:00:05 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---

Attachments (Terms of Use)

  None (edit)
Comment 6 Bill C. Riemers 2008-01-16 11:04:08 EST
Fix submitted.
Comment 7 Bill C. Riemers 2008-01-16 11:06:06 EST
Scheduled scripts do not echo the second screen of systems and reruns script
multiple times.

Note: This appears to be two bug reports.  I submitted a fix for the second
screen not showing problem.   A separate bug should be opened for reruns of
scripts multiple times...
Comment 9 James Bowes 2008-01-25 13:07:52 EST
To test:
 * give yourself plenty of entitlements for rhel 5
 * use systemfaker.py in satellite svn under the qa/automation dir to create a
pile of systems:
   python systemfaker.py -s https://xmlrpc.rhn.webdev.redhat.com/XMLRPC -v -u
jbowesgit -p redhat -n 100 -m jbowesfake -a i386 -o 5Server -r "Red Hat Linux"
 * Via the webui, give all of these systems the provisioning entitlement, and
subscribe them to the rhn tools channel
 * Select all systems, manage the group, and schedule a remote command
   (you can fill in whatever you want for the command, it doesn't matter)
 * note the id in the URL for the action you scheduled
 * in a sql console, mark all the actions for each system as failed:
   update rhnserveraction set status=3 where action_id=ID_FROM_WEBUI
 * View your action in the webui, and select failed systems. You should now see  
   a list of 20 systems.
 * View the next or last page, either with ">" or ">|"

Expected Results:
   This should display the next grouping of failed systems
Actual Results:
   The 'run command' action is rescheduled for all failed systems
Comment 10 James Bowes 2008-01-25 13:10:13 EST
Marking as fails_qa, selecting the next page still causes the action to be
rescheduled in dev, rather than showing the next group of failed systems.
Comment 12 Bill C. Riemers 2008-01-25 14:22:26 EST
James, I'm reading through your test procedure, and it does not at all match
what is listed in the issue tracker.  You need to be looking at Successes under
Completed Actions.  Why are you looking at failed systems?  Here is the
information from issue tracker on this bug:

Description of problem:
Attempting to verify the servers that have been scheduled for an update. I
perform the following steps in RHN:
(tried login through seqaaron)
1. Select "Schedule" from the top navigation.
2. Select "Completed Actions" from the side navigation.
3. Select the number over 100 associated in the Succeeded column. This brings up
the first 20 servers that were succesful.
4. Click the > arrow to move to see the next 20 items. (My preferences are set
to list 20 items)
5. Get an error page that says: "No systems have completed this action."

What I am expecting:
At step 5, I expect to see the server items 21-40.

Additional info:
Have uploaded screenshot for reference.

Comment 21 Bill C. Riemers 2008-01-28 17:10:20 EST
I opened bugs 430586 430587 to address the two issues mentioned in comment #1,
that are not part of the issue tracker report.  I've changed the subject of this
bug just to refer to the "no systems have completed this action" bug referenced
in both issue tracker and comment #1.

Please verify the "no systems have completed this action" bug has been fixed.

Comment 22 Bill C. Riemers 2008-01-28 17:14:37 EST
(In reply to comment #20)
>   The next fix systems are displayed.
Comment 23 James Bowes 2008-01-28 17:49:27 EST
Verified for multiple pages of successful systems.

Note You need to log in before you can comment on or make changes to this bug.